# Get media for activity The response contains an array of media items for the activity. Items are mainly images, but could also be video. Depending on the activity configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /activities/{activityUuid} endpoint. Endpoint: GET /activities/{activityUuid}/media Version: 3.5.0 ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Header parameters: - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Response 200 fields (application/json): - `id` (integer, required) The media item's numeric ID. Example: 94516 - `is_cover` (boolean, required) Whether the media item should be used as an activity's cover image or not. - `title` (string, required) The alternative text to use for the media item when unable to display it. Example: "Via Appia at sunset" - `type` (string, required) The type of media item. Enum: "image", "video" - `url` (string, required) The URL for the media item. Example: "https://images-sandbox.musement.com/default/0001/95/thumb_94516_default_header.jpeg?w=750&h=500" ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Activity not found." ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"